/**
 * App data model that matches the UI components in the app section
 */
export interface App {
  id: string;
  name: string;
  description: string;
  type: AppType;
  language: string;
  version: string;
  
  // Configuration
  configFile: string;
  envVariables?: string;
  
  // Source code
  repository?: string;
  branch?: string;
  buildCommand?: string;
  
  // Resources
  resources?: string;
  scaleSettings?: string;
  
  createdAt: string;
  updatedAt: string;
  createdBy: string;
}

export type AppType = 
  | 'frontend'
  | 'backend'
  | 'api'
  | 'database'
  | 'microservice';

export interface AppFormData {
  name: string;
  description: string;
  type: AppType;
  language: string;
  version: string;
  configFile: string;
  envVariables?: string;
  repository?: string;
  branch?: string;
  buildCommand?: string;
  resources?: string;
  scaleSettings?: string;
}